<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name="content">
               
            </ui:define>
            
            <p:panelGrid columns="2" >                   
                    <p:outputLabel value="Código:" for="codigo" />
                    <p:inputText id="codigo" value="" size="2"/>
                    <p:outputLabel value="Nome:" for="nome" />
                    <p:inputText id="nome" value=""/>
                    <p:commandButton value="Pesquisar" ajax="false"  icon="ui-icon-zoomin"  />
                </p:panelGrid>

                <hr/>

                <p:fieldset legend="Pesquisa de Alunos">
                    <p:dataTable var="aluno" value="#{pesquisaAlunoBean.lista}">
                        <p:column headerText="Código">
                            <h:outputText value="#{aluno.id}" />
                        </p:column>

                        <p:column headerText="Nome">
                            <h:outputText value="#{aluno.nome}" />
                        </p:column>


            <ui:define name="bottom">
                bottom
            </ui:define>

        </ui:composition>

    </body>
</html>
